# Uses of Interface
org.opensaml.xmlsec.encryption.Q

Packages that use Q
Package
Description
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of Q in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return Q
Modifier and Type
Method
Description
`Q`
DHKeyValue.`getQ()`
Get the Q child element.
Methods in org.opensaml.xmlsec.encryption with parameters of type Q
Modifier and Type
Method
Description
`void`
DHKeyValue.`setQ(Q newQ)`
Set the Q child element.

## Uses of Q in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement Q
Modifier and Type
Class
Description
`class`
`QImpl`
Concrete implementation of `Q`.
Fields in org.opensaml.xmlsec.encryption.impl declared as Q
Modifier and Type
Field
Description
`private Q`
DHKeyValueImpl.`q`
Q child element.
Methods in org.opensaml.xmlsec.encryption.impl that return Q
Modifier and Type
Method
Description
`Q`
QBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`Q`
QBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Q`
DHKeyValueImpl.`getQ()`
Get the Q child element.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type Q
Modifier and Type
Method
Description
`void`
DHKeyValueImpl.`setQ(Q newQ)`
Set the Q child element.